Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xslt
Class TransformerFactoryAllocator

    java.lang.Object
      org.exist.xslt.TransformerFactoryAllocator

public class TransformerFactoryAllocator
extends java.lang.Object

Allows the TransformerFactory that is used for XSLT to be chosen through configuration settings in conf.xml Within eXist this class should be used instead of directly calling SAXTransformerFactory.newInstance() directly

Author:
  Adam Retter

Method Summary
`static javax.xml.transform.sax.SAXTransformerFactory` | `getTransformerFactory(DBBroker broker)` Get the TransformerFactory defined in conf.xml If the class can't be found or the given class doesn't implement the required interface, the default factory is returned.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getTransformerFactory

    public static javax.xml.transform.sax.SAXTransformerFactory getTransformerFactory(DBBroker broker)

  Get the TransformerFactory defined in conf.xml If the class can't be found or the given class doesn't implement the required interface, the default factory is returned.

  Parameters:
    `broker` - A database broker, used for reading the conf.xml configuration
  Returns:
    A SAXTransformerFactory, for which newInstance() can then be called Typical usage: Instead of SAXTransformerFactory.newInstance() use TransformerFactoryAllocator.getTransformerFactory(broker).newInstance()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.